/*==============================================================*/
/* Database name:  ǰؼý() */
/* DBMS name:      ORACLE Version 9i */
/* Created on:     2005-07-08  9:13:54 */
/*==============================================================*/

DROP INDEX IX_TB_NOTICE_01;
DROP INDEX IX_TB_NOTICE_02;
DROP INDEX IX_TB_NOTICE_FILE_01;
DROP INDEX IX_TB_NOTICE_FILE_02;
DROP TABLE TB_NOTICE CASCADE CONSTRAINTS;
DROP TABLE TB_NOTICE_FILE CASCADE CONSTRAINTS;

CREATE TABLE TB_NOTICE
(
  WRT_NO    NUMBER(9)                           NOT NULL,
  TTL       VARCHAR2(200 ),
  CTNT      CLOB,
  URL       VARCHAR2(200 ),
  HIT_CNT   NUMBER(5),
  HTML_DIV  VARCHAR2(1 ),
  REG_ID    VARCHAR2(10 ),
  REG_NM    VARCHAR2(20 ),
  REG_DT    VARCHAR2(8 ),
  DEL_YN    VARCHAR2(1 )                    DEFAULT 'N'                   NOT NULL,
  CONSTRAINT TB_NOTICE_PK PRIMARY KEY (WRT_NO)

);
COMMENT ON TABLE TB_NOTICE IS '';
COMMENT ON COLUMN TB_NOTICE.WRT_NO IS '۹ȣ';
COMMENT ON COLUMN TB_NOTICE.TTL IS '';
COMMENT ON COLUMN TB_NOTICE.CTNT IS '۳';
COMMENT ON COLUMN TB_NOTICE.URL IS 'ٷΰ';
COMMENT ON COLUMN TB_NOTICE.HIT_CNT IS 'ȸ';
COMMENT ON COLUMN TB_NOTICE.HTML_DIV IS 'HTML';
COMMENT ON COLUMN TB_NOTICE.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_NOTICE.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_NOTICE.REG_DT IS 'ۼ';
COMMENT ON COLUMN TB_NOTICE.DEL_YN IS '';


/*==============================================================*/
/* INDEX: IDX_TB_NOTICE_01 */
/*==============================================================*/
CREATE INDEX IX_TB_NOTICE_01 ON TB_NOTICE(WRT_NO DESC);

/*==============================================================*/
/* INDEX: IDX_TB_NOTICE_02 */
/*==============================================================*/
CREATE INDEX IX_TB_NOTICE_02 ON TB_NOTICE(DEL_YN DESC);

CREATE TABLE TB_NOTICE_FILE
(
  WRT_NO     NUMBER(9)                          NOT NULL,
  FILE_NO    NUMBER(9)                          NOT NULL,
  REAL_NM    VARCHAR2(200 ),
  TEMP_NM    VARCHAR2(200 ),
  FILE_SIZE  NUMBER(9),
  DOWN_CNT   NUMBER(5),
  REG_DT     VARCHAR2(8 ),
  DEL_YN     VARCHAR2(1 ) DEFAULT 'N',
  CONSTRAINT TB_NOTICE_FILE_PK PRIMARY KEY (FILE_NO,WRT_NO),
  CONSTRAINT TB_NOTICE_FILE_FK FOREIGN KEY (WRT_NO)  REFERENCES TB_NOTICE (WRT_NO)

);

COMMENT ON TABLE TB_NOTICE_FILE IS '÷';
COMMENT ON COLUMN TB_NOTICE_FILE.WRT_NO IS '۹ȣ';
COMMENT ON COLUMN TB_NOTICE_FILE.FILE_NO IS '÷Ϲȣ';
COMMENT ON COLUMN TB_NOTICE_FILE.REAL_NM IS 'ϸ';
COMMENT ON COLUMN TB_NOTICE_FILE.TEMP_NM IS 'ӽϸ';
COMMENT ON COLUMN TB_NOTICE_FILE.FILE_SIZE IS 'ũ';
COMMENT ON COLUMN TB_NOTICE_FILE.DOWN_CNT IS 'ٿε';
COMMENT ON COLUMN TB_NOTICE_FILE.REG_DT IS 'ۼ';
COMMENT ON COLUMN TB_NOTICE_FILE.DEL_YN IS '';

/*==============================================================*/
/* INDEX: IDX_TB_NOTICE_FILE_01 */
/*==============================================================*/
CREATE INDEX IX_TB_NOTICE_FILE_01 ON TB_NOTICE_FILE (WRT_NO);


/*==============================================================*/
/* INDEX: IDX_TB_NOTICE_FILE_02 */
/*==============================================================*/
CREATE INDEX IX_TB_NOTICE_FILE_02 ON TB_NOTICE_FILE(FILE_NO DESC);
/*
DECLARE
	SEQ NUMBER ;
	BEGIN
		SEQ := 0;
		LOOP
			SEQ := SEQ+1;
			EXIT WHEN SEQ > 1000000;
				INSERT INTO TB_NOTICE (WRT_NO, TTL, CTNT, URL, HIT_CNT, HTML_DIV, REG_ID, REG_NM, REG_DT )VALUES 
				(SEQ,LPAD(TO_CHAR(SEQ),10,'0'),LPAD(TO_CHAR(SEQ),10,'0'),LPAD(TO_CHAR(SEQ),10,'0'),0,'N','TEST','TEST2',TO_CHAR(SYSDATE,'YYYYMMDD'));
		END LOOP;
		COMMIT;

	END ;
*/