/*==============================================================*/
/* Database name:  ͳŻ() */
/* DBMS name:      ORACLE Version 9i */
/* Created on:     2004-11-09  9:13:54 */
/*==============================================================*/

drop index IDX_GPAI11_01;
drop index IDX_GPAI11_02;
drop index IDX_GPAI11_03;
drop index IDX_GPAI11_04;
drop index IDX_GPAI11F_01;
drop index IDX_GPAI11F_02;
drop table GPAI11F cascade constraints;
drop table GPAI11 cascade constraints;

/*==============================================================*/
/* Table: GPAI11 */
/*==============================================================*/
CREATE TABLE GPAI11
(
  GPAI11_SEQ  NUMBER                            NOT NULL,
  HALL_SEQ	NUMBER							   NOT NULL,
  DYWARD_SEQ	NUMBER							   NOT NULL,
  ILWARD_SEQ	NUMBER							   NOT NULL,
  DEPT_SEQ    NUMBER							   NOT NULL,
  WRITER      VARCHAR2(20),
  DEPT_CD     VARCHAR2(10),
  DEPT_NM     VARCHAR2(20),
  TITLE       VARCHAR2(200),
  HTML        CHAR(1),
  CONTENT     CLOB,
  REG_DT      DATE                              DEFAULT sysdate,
  MOD_DT      DATE                              DEFAULT sysdate,
  DEL_DT      DATE,
  DEL_DIV     CHAR(1)                      DEFAULT 'N',
  IP          VARCHAR2(15),
  LINK        VARCHAR2(100),
  HIT         NUMBER(4)                         DEFAULT 0,
  ID          VARCHAR2(12),
  CITY_DIV    CHAR(1),
  OPEN_DIV CHAR(1),
  constraint PK_GPAI11 primary key (GPAI11_SEQ)
);



COMMENT ON TABLE GPAI11 IS '';

COMMENT ON COLUMN GPAI11.GPAI11_SEQ IS '_Ϸùȣ';

COMMENT ON COLUMN GPAI11.HALL_SEQ IS 'ûϷùȣ';

COMMENT ON COLUMN GPAI11.DYWARD_SEQ IS '籸ûϷùȣ';

COMMENT ON COLUMN GPAI11.ILWARD_SEQ IS 'ϻ걸ûϷùȣ';

COMMENT ON COLUMN GPAI11.DEPT_SEQ IS 'μϷùȣ';

COMMENT ON COLUMN GPAI11.WRITER IS 'ۼ';

COMMENT ON COLUMN GPAI11.DEPT_CD IS 'μڵ';

COMMENT ON COLUMN GPAI11.DEPT_NM IS 'μ';

COMMENT ON COLUMN GPAI11.TITLE IS '';

COMMENT ON COLUMN GPAI11.HTML IS 'HTML';

COMMENT ON COLUMN GPAI11.CONTENT IS '';

COMMENT ON COLUMN GPAI11.REG_DT IS '';

COMMENT ON COLUMN GPAI11.MOD_DT IS '';

COMMENT ON COLUMN GPAI11.DEL_DT IS '';

COMMENT ON COLUMN GPAI11.DEL_DIV IS '';

COMMENT ON COLUMN GPAI11.IP IS 'IP';

COMMENT ON COLUMN GPAI11.LINK IS 'ٷΰ';

COMMENT ON COLUMN GPAI11.HIT IS 'ȸ';

COMMENT ON COLUMN GPAI11.ID IS ' ̵';

COMMENT ON COLUMN GPAI11.CITY_DIV IS 'û/û ';

COMMENT ON COLUMN GPAI11.OPEN_DIV IS ' 1:û+û+μ 2:û+μ 3:μ';



/*==============================================================*/
/* Index: IDX_GPAI11_01 */
/*==============================================================*/
create index IDX_GPAI11_01 on GPAI11(GPAI11_SEQ desc);

create index IDX_GPAI11_02 on GPAI11(HALL_SEQ desc);

create index IDX_GPAI11_03 on GPAI11(DYWARD_SEQ desc);

create index IDX_GPAI11_04 on GPAI11(ILWARD_SEQ desc);

create index IDX_GPAI11_05 on GPAI11(DEPT_SEQ desc);

/*==============================================================*/
/* Table: GPAI11F */
/*==============================================================*/


create table GPAI11F  (
   GPAI11F_FSEQ		NUMBER				not null,
   GPAI11_SEQ		NUMBER				not null,
   FILE_NM			VARCHAR2(200)		not null,
   REAL_FILE_NM		VARCHAR2(30)		not null,
   FILESIZE			NUMBER(11)			not null,
   DOWN_HIT			NUMBER(5)			default 0  not null,
   DEL_DIV			CHAR(1)				default 'N'  not null,
   REG_DT			DATE				default SYSDATE  not null,
   DEL_DT			DATE,
   constraint PK_GPAI11F primary key (GPAI11F_FSEQ),
   constraint FK_GPAI11F foreign key (GPAI11_SEQ)  references GPAI11 (GPAI11_SEQ)
);

comment on table GPAI11F is ' ÷';
comment on column GPAI11F.GPAI11F_FSEQ is '÷Ϸùȣ';
comment on column GPAI11F.GPAI11_SEQ is 'Ϸùȣ';
comment on column GPAI11F.FILE_NM is 'ϸ';
comment on column GPAI11F.REAL_FILE_NM is 'ϸ';
comment on column GPAI11F.FILESIZE is 'ϻ';
comment on column GPAI11F.DOWN_HIT is 'ٿε';
comment on column GPAI11F.DEL_DIV is '';
comment on column GPAI11F.REG_DT is '';
comment on column GPAI11F.DEL_DT is '';

/*==============================================================*/
/* Index: IDX_GPAI11F_01 */
/*==============================================================*/
create index IDX_GPAI11F_01 on GPAI11F (GPAI11_SEQ);


/*==============================================================*/
/* Index: IDX_GPAI11F_02 */
/*==============================================================*/
create index IDX_GPAI11F_02 on GPAI11F(GPAI11F_FSEQ desc);